Bug 45477 - Text of tiles in the UMC overview not always resized
Text of tiles in the UMC overview not always resized
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-02 18:03 CEST by Johannes Keiser
Modified: 2017-10-10 15:38 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 4: Will affect most installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design
Max CVSS v3 score:
keiser: Patch_Available+


Attachments
Screenshot - Overview (84.45 KB, image/png)
2017-10-02 18:03 CEST, Johannes Keiser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Keiser univentionstaff 2017-10-02 18:03:34 CEST
Created attachment 9236 [details]
Screenshot - Overview

This happens when the window size changes while the overview is not visible (a module is open) and sometimes when opening the UMC with a module directly (SERVER/univention/management/#module=appcenter:appcenter:0:category:Alle) and switching back to the overview.
Comment 1 Johannes Keiser univentionstaff 2017-10-02 18:11:27 CEST
patch: https://git.knut.univention.de/univention/ucs/tree/jkeiser/bug_45477_text_of_tiles_in_overview_not_always_resized

The patch also break long words in the description onto a new line
Comment 2 Johannes Keiser univentionstaff 2017-10-05 18:18:29 CEST
(In reply to Johannes Keiser from comment #1)
> patch:
> https://git.knut.univention.de/univention/ucs/tree/jkeiser/
> bug_45477_text_of_tiles_in_overview_not_always_resized
> 
> The patch also break long words in the description onto a new line

Merged feature branch:

univention-management-console (9.0.80-76):
6bd50f41b0eb5bd0a50a1b3b928198740887b689 |
Bug #45477: Resize gallery item names when changing to overview

univention-web (1.0.42-46):
a1c83050f4e5aeb597f3ae10bdea1b5f817233cd
Bug #45477: Break long words in the description of gallery items

YAML and debian
30df9a66a8cbca3613245dfbc00c1ca2029a638f
877eaf24a21efcf72e77118c9a34611b686241dd

Merge | af1b1a248e3d9a34b24be2bb1edbc55132572303
Comment 3 Florian Best univentionstaff 2017-10-06 13:15:19 CEST
OK: word wrapping
OK: resizing
~OK: YAML (adjusted descriptions)
aa911b9d2a21 | YAML Bug #45477